public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: games-action/heroes/files/, games-action/heroes/
@ 2017-01-25 23:05 Austin English
  0 siblings, 0 replies; 2+ messages in thread
From: Austin English @ 2017-01-25 23:05 UTC (permalink / raw
  To: gentoo-commits

commit:     9b1e9a6c21bd2f275e316be4664729216648f65c
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 25 20:03:45 2017 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Wed Jan 25 23:05:04 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9b1e9a6c

games-action/heroes: remove deprecated games eclass

Also update to EAPI 6

Gentoo-Bug: https://bugs.gentoo.org/574082

Package-Manager: Portage-2.3.2, Repoman-2.3.1

 .../heroes/files/0.21-cvs-segfault-fix.patch       |  4 +-
 games-action/heroes/files/heroes-0.21-gcc4.patch   |  4 +-
 .../heroes/files/heroes-0.21-underlink.patch       |  4 +-
 games-action/heroes/heroes-0.21-r2.ebuild          | 74 ++++++++++++++++++++++
 4 files changed, 80 insertions(+), 6 deletions(-)

diff --git a/games-action/heroes/files/0.21-cvs-segfault-fix.patch b/games-action/heroes/files/0.21-cvs-segfault-fix.patch
index 99f7706..689fdee 100644
--- a/games-action/heroes/files/0.21-cvs-segfault-fix.patch
+++ b/games-action/heroes/files/0.21-cvs-segfault-fix.patch
@@ -3,8 +3,8 @@ RCS file: /cvsroot/heroes/heroes/src/menus.c,v
 retrieving revision 1.108.2.1
 retrieving revision 1.108.2.2
 diff -u -r1.108.2.1 -r1.108.2.2
---- heroes/heroes/src/menus.c	2002/06/16 19:16:09	1.108.2.1
-+++ heroes/heroes/src/menus.c	2002/08/22 11:45:51	1.108.2.2
+--- a/src/menus.c	2002/06/16 19:16:09	1.108.2.1
++++ b/src/menus.c	2002/08/22 11:45:51	1.108.2.2
 @@ -219,7 +219,8 @@
    { N_("NEW LEVEL"),	editor_menu },
    /* TRANS: Load an existing level for edition.  */

diff --git a/games-action/heroes/files/heroes-0.21-gcc4.patch b/games-action/heroes/files/heroes-0.21-gcc4.patch
index 573db41..2e39907 100644
--- a/games-action/heroes/files/heroes-0.21-gcc4.patch
+++ b/games-action/heroes/files/heroes-0.21-gcc4.patch
@@ -1,5 +1,5 @@
---- src/hedlite.c.old	2006-01-28 14:05:05.000000000 -0700
-+++ src/hedlite.c	2006-01-28 14:07:20.000000000 -0700
+--- a/src/hedlite.c	2006-01-28 14:05:05.000000000 -0700
++++ b/src/hedlite.c	2006-01-28 14:07:20.000000000 -0700
 @@ -45,7 +45,7 @@
  #include "dirname.h"
  

diff --git a/games-action/heroes/files/heroes-0.21-underlink.patch b/games-action/heroes/files/heroes-0.21-underlink.patch
index 4b805ae..18a0fca 100644
--- a/games-action/heroes/files/heroes-0.21-underlink.patch
+++ b/games-action/heroes/files/heroes-0.21-underlink.patch
@@ -1,5 +1,5 @@
---- src/Makefile.am.old	2011-06-10 11:32:03.905618275 +0200
-+++ src/Makefile.am	2011-06-10 11:32:15.539347083 +0200
+--- a/src/Makefile.am	2011-06-10 11:32:03.905618275 +0200
++++ b/src/Makefile.am	2011-06-10 11:32:15.539347083 +0200
 @@ -42,7 +42,7 @@
  heroeslvl_SOURCES = heroeslvl.c
  

diff --git a/games-action/heroes/heroes-0.21-r2.ebuild b/games-action/heroes/heroes-0.21-r2.ebuild
new file mode 100644
index 00000000..156c659
--- /dev/null
+++ b/games-action/heroes/heroes-0.21-r2.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils autotools
+
+data_ver=1.5
+snd_trk_ver=1.0
+snd_eff_ver=1.0
+
+DESCRIPTION="Heroes Enjoy Riding Over Empty Slabs: similar to Tron and Nibbles"
+HOMEPAGE="http://heroes.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2
+	mirror://sourceforge/${PN}/${PN}-data-${data_ver}.tar.bz2
+	mirror://sourceforge/${PN}/${PN}-sound-tracks-${snd_trk_ver}.tar.bz2
+	mirror://sourceforge/${PN}/${PN}-sound-effects-${snd_eff_ver}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="ggi nls sdl"
+RESTRICT="test"
+
+RDEPEND="
+	ggi? ( media-libs/libggi media-libs/libgii media-libs/libmikmod )
+	nls? ( virtual/libintl )
+	sdl? ( media-libs/libsdl media-libs/sdl-mixer )
+	!sdl? ( !ggi? ( media-libs/libsdl media-libs/sdl-mixer ) )"
+DEPEND="${RDEPEND}
+	nls? ( sys-devel/gettext )"
+
+	#56118
+PATCHES=(
+	"${FILESDIR}/${P}"-automake-1.12.patch
+	"${FILESDIR}/${P}"-gcc4.patch
+	"${FILESDIR}/${P}"-underlink.patch
+	"${FILESDIR}/${PV}"-cvs-segfault-fix.patch
+)
+
+src_prepare() {
+	default
+	sed -i 's:$(localedir):/usr/share/locale:' \
+		$(find . -name 'Makefile.in*') || die
+	eautoreconf
+}
+
+src_configure() {
+	local myconf
+
+	if use sdl || ! use ggi ; then
+		myconf="${myconf} --with-sdl --with-sdl-mixer"
+	else
+		myconf="${myconf} --with-ggi --with-mikmod"
+	fi
+
+	local pkg
+	for pkg in ${A//.tar.bz2} ; do
+		cd "${WORKDIR}"/${pkg}
+		econf \
+			--disable-heroes-debug \
+			--disable-optimizations \
+			$(use_enable nls) \
+			${myconf}
+	done
+}
+
+src_install() {
+	local pkg
+	for pkg in ${A//.tar.bz2} ; do
+		cd "${WORKDIR}"/${pkg}
+		emake DESTDIR="${D}" install
+	done
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: games-action/heroes/files/, games-action/heroes/
@ 2020-06-12  3:14 Stefan Strogin
  0 siblings, 0 replies; 2+ messages in thread
From: Stefan Strogin @ 2020-06-12  3:14 UTC (permalink / raw
  To: gentoo-commits

commit:     effe2edd232d7f8decce455309dd6ae252316cfe
Author:     Azamat H. Hackimov <azamat.hackimov <AT> gmail <DOT> com>
AuthorDate: Mon Jun  8 09:58:02 2020 +0000
Commit:     Stefan Strogin <steils <AT> gentoo <DOT> org>
CommitDate: Fri Jun 12 03:13:10 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=effe2edd

games-action/heroes: fix compilation; update ebuild

Fix compilation on GCC 10 (#708794, patch taken from Debian
https://salsa.debian.org/games-team/heroes/-/blob/master/debian/patches/single-declaration.patch),
update to EAPI 7, minor cleanups.

Closes: https://bugs.gentoo.org/708794
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Azamat H. Hackimov <azamat.hackimov <AT> gmail.com>

Add patch to add a missing header and packed attributes for structures
[https://salsa.debian.org/games-team/heroes/-/blob/master/debian/patches/compilation-fixes.patch]
Closes: https://github.com/gentoo/gentoo/pull/16116
Signed-off-by: Stefan Strogin <steils <AT> gentoo.org>

 .../heroes/files/heroes-0.21-compilation.patch     | 48 ++++++++++++++++++++++
 ...ix.patch => heroes-0.21-cvs-segfault-fix.patch} |  0
 games-action/heroes/files/heroes-0.21-gcc10.patch  | 16 ++++++++
 games-action/heroes/heroes-0.21-r2.ebuild          | 42 +++++++++++--------
 4 files changed, 89 insertions(+), 17 deletions(-)

diff --git a/games-action/heroes/files/heroes-0.21-compilation.patch b/games-action/heroes/files/heroes-0.21-compilation.patch
new file mode 100644
index 00000000000..e972953093c
--- /dev/null
+++ b/games-action/heroes/files/heroes-0.21-compilation.patch
@@ -0,0 +1,48 @@
+Description: GCC 6 compilation fixes
+Author: Stephen Kitt <skitt@debian.org>
+
+Add a missing header.
+Propagate packed attributes as necessary.
+
+--- a/lib/xstrduplwr.c
++++ b/lib/xstrduplwr.c
+@@ -25,6 +25,7 @@
+ 
+ #include <sys/types.h>
+ #include <ctype.h>
++#include <string.h>
+ 
+ #include "xalloc.h"
+ #include "xstrduplwr.h"
+--- a/src/pcx.h
++++ b/src/pcx.h
+@@ -23,7 +23,7 @@
+ 
+ #include "video.h"
+ 
+-typedef struct pcx_header_type
++typedef struct ATTRIBUTE_PACKED pcx_header_type
+ {
+   a_u8 signature;
+   a_u8 version;
+@@ -39,9 +39,9 @@
+   a_u16 palette_kind;
+   a_u8 rien[58];
+ }
+-a_pcx_header ATTRIBUTE_PACKED;
++a_pcx_header;
+ 
+-typedef struct
++typedef struct ATTRIBUTE_PACKED
+ {
+   a_u8 r, g, b;
+ }
+@@ -54,7 +54,7 @@
+ }
+ a_palette;
+ 
+-typedef struct img_type
++typedef struct ATTRIBUTE_PACKED img_type
+ {
+   a_pcx_header header;
+   a_palette palette;

diff --git a/games-action/heroes/files/0.21-cvs-segfault-fix.patch b/games-action/heroes/files/heroes-0.21-cvs-segfault-fix.patch
similarity index 100%
rename from games-action/heroes/files/0.21-cvs-segfault-fix.patch
rename to games-action/heroes/files/heroes-0.21-cvs-segfault-fix.patch

diff --git a/games-action/heroes/files/heroes-0.21-gcc10.patch b/games-action/heroes/files/heroes-0.21-gcc10.patch
new file mode 100644
index 00000000000..b806e3e8878
--- /dev/null
+++ b/games-action/heroes/files/heroes-0.21-gcc10.patch
@@ -0,0 +1,16 @@
+Descriptions: Ensure variables are only declared once
+Author: Stephen Kitt <skitt@debian.org>
+
+--- a/src/persona.h
++++ b/src/persona.h
+@@ -28,8 +28,8 @@
+  * difference only if the program has a sgid or suid bit.
+  */
+ 
+-bool keep_sgid;			/* Whether we should keep the  */
+-bool keep_suid;			/* SGID or SUID priviledge. */
++extern bool keep_sgid;			/* Whether we should keep the  */
++extern bool keep_suid;			/* SGID or SUID priviledge. */
+ 
+ /* Get information about the current persona,
+    and switch to the user persona.  */

diff --git a/games-action/heroes/heroes-0.21-r2.ebuild b/games-action/heroes/heroes-0.21-r2.ebuild
index 5ab9018ee3d..9e7f8d9fcc0 100644
--- a/games-action/heroes/heroes-0.21-r2.ebuild
+++ b/games-action/heroes/heroes-0.21-r2.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-inherit eutils autotools
+EAPI=7
+
+inherit autotools
 
 data_ver=1.5
 snd_trk_ver=1.0
@@ -21,11 +22,17 @@ KEYWORDS="~amd64 ~x86"
 IUSE="ggi nls sdl"
 RESTRICT="test"
 
-RDEPEND="
-	ggi? ( media-libs/libggi media-libs/libgii media-libs/libmikmod )
+REQUIRED_USE="^^ ( ggi sdl )"
+RDEPEND="ggi? (
+		media-libs/libggi
+		media-libs/libgii
+		media-libs/libmikmod
+	)
 	nls? ( virtual/libintl )
-	sdl? ( media-libs/libsdl media-libs/sdl-mixer )
-	!sdl? ( !ggi? ( media-libs/libsdl media-libs/sdl-mixer ) )"
+	sdl? (
+		media-libs/libsdl
+		media-libs/sdl-mixer
+	)"
 DEPEND="${RDEPEND}
 	nls? ( sys-devel/gettext )"
 
@@ -34,7 +41,9 @@ PATCHES=(
 	"${FILESDIR}/${P}"-automake-1.12.patch
 	"${FILESDIR}/${P}"-gcc4.patch
 	"${FILESDIR}/${P}"-underlink.patch
-	"${FILESDIR}/${PV}"-cvs-segfault-fix.patch
+	"${FILESDIR}/${P}"-cvs-segfault-fix.patch
+	"${FILESDIR}/${P}"-compilation.patch
+	"${FILESDIR}/${P}"-gcc10.patch
 )
 
 src_prepare() {
@@ -45,13 +54,13 @@ src_prepare() {
 }
 
 src_configure() {
-	local myconf
-
-	if use sdl || ! use ggi ; then
-		myconf="${myconf} --with-sdl --with-sdl-mixer"
-	else
-		myconf="${myconf} --with-ggi --with-mikmod"
-	fi
+	local myconf=(
+		$(use_with sdl)
+		$(use_with sdl sdl-mixer)
+		$(use_with ggi)
+		$(use_with ggi mikmod)
+		$(use_enable nls)
+	)
 
 	local pkg
 	for pkg in ${A//.tar.bz2} ; do
@@ -59,8 +68,7 @@ src_configure() {
 		econf \
 			--disable-heroes-debug \
 			--disable-optimizations \
-			$(use_enable nls) \
-			${myconf}
+			"${myconf[@]}"
 	done
 }
 


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2020-06-12  3:14 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-06-12  3:14 [gentoo-commits] repo/gentoo:master commit in: games-action/heroes/files/, games-action/heroes/ Stefan Strogin
  -- strict thread matches above, loose matches on Subject: below --
2017-01-25 23:05 Austin English

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox